import request from "@/utils/request";
import editor from "mavon-editor";

/**
 * 列表
 * @returns
 */
export function tbShopExtend(params) {
    return request({
        url: "/tbShopExtend",
        method: "get",
        params
    });
}

/**
 * 新增单位
 * @returns
 */
export function addtbShopExtend(data) {
    return request({
        url: `/tbShopExtend`,
        method: "post",
        data
    });
}
/**
* 编辑详情
* @returns
*/
export function edittbShopExtend(data) {
    return request({
        url: '/tbShopExtend',
        method: 'put',
        data
    })
}
/**
* 查询详情
* @returns
*/
export function querytbShopExtend(params) {
    return request({
        url: `/tbShopExtend/` + params,
        method: "get",
    });
}
/**
 * 删除商品
 * @returns
 */
export function deletetbShopExtend(params) {
    return request({
        url: "/tbShopExtend",
        method: "delete",
        params
    });
}
